<%@ Register TagPrefix="custCols" Namespace="SimpleColumn" Assembly="SimpleColumn" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="VB">

    Sub Page_Load(sender as Object, e as EventArgs)
      BindData()
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM Comments"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgComments.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgComments.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
    
    Sub dgComments_EditRow(sender as Object, e as DataGridCommandEventArgs)
      dgComments.EditItemIndex = e.Item.ItemIndex
      BindData()
    End Sub

</script>

<form runat="server">
  <asp:DataGrid runat="server" id="dgComments"
      AutoGenerateColumns="False"
      Font-Name="Verdana"  Font-Size="9pt"
      HeaderStyle-HorizontalAlign="Center"
      HeaderStyle-Font-Bold="True"
      HeaderStyle-BackColor="Navy" HeaderStyle-ForeColor="White"
      AlternatingItemStyle-BackColor="#eeeeee"
      
      OnEditCommand="dgComments_EditRow">
    <Columns>
       <asp:EditCommandColumn EditText="Edit" UpdateText="Update"
              CancelText="Cancel" />
       <asp:BoundColumn HeaderText="Name" DataField="Name" />     
       <custCols:CensorColumn HeaderText="Comment" DataField="Comment" 
               CensorFile="profane.xml" />
       <asp:BoundColumn DataField="DateAdded" HeaderText="Date" />
    </Columns>
  </asp:DataGrid>
</form>
