<%@ Page Language="c#" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    void Page_Load(Object sender, EventArgs e)
    {
      // 1. Create a connection
      const string strConnString = "server=localhost;uid=sa;pwd=;database=pubs";
      SqlConnection objConn = new SqlConnection(strConnString);
    
      // 2. Create a command object for the query
      const string strSQL = "SELECT * FROM titles";
      SqlCommand objCmd = new SqlCommand(strSQL, objConn);
    
      objConn.Open();   // Open the connection
    
      //F inally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection);
      dgTitles.DataBind();
    
      objConn.Close();   // Close the connection
    }
    
    string Highlight(object ytdSales)
    {
      if (ytdSales.Equals(DBNull.Value))
      {
        return "<i>No sales yet reported...</i>";
      }
      else
      {    
        if (((int) ytdSales) > 10000)
        {
          return "<span style=\"background-color:yellow;\">" +
                   String.Format("{0:#,###}", ytdSales) + "</span>";
        }
        else
        {
          return String.Format("{0:#,###}", ytdSales);
        }
      }
    }

</script>
<asp:datagrid id="dgTitles" runat="server"
      AutoGenerateColumns="False"
      Font-Name="Verdana" Width="50%"
      HorizontalAlign="Center" ItemStyle-Font-Size="9">
      
   <HeaderStyle BackColor="Navy" ForeColor="White"
        HorizontalAlign="Center" Font-Bold="True" />
   
   <AlternatingItemStyle BackColor="#dddddd" />
   
   <Columns>
     <asp:BoundColumn DataField="title" HeaderText="Title"
                      ItemStyle-Width="70%" />

     <asp:TemplateColumn HeaderText="Copies Sold"
          ItemStyle-HorizontalAlign="Right"
          ItemStyle-Wrap="False">
       <ItemTemplate>
           <b><%# Highlight(DataBinder.Eval(Container.DataItem, "ytd_sales")) %></b>
       </ItemTemplate>
     </asp:TemplateColumn>
   </Columns>
</asp:datagrid>
