<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="VB">

    Sub Page_Load(sender as Object, e as EventArgs)
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM titles WHERE NOT ytd_sales IS NULL"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
    
    Function CalcRevenues(sales as Integer, price as Single)
      Return String.Format("{0:c}", sales * price)
    End Function

</script>
<asp:datagrid id="dgTitles" runat="server"
      AutoGenerateColumns="False"
      Font-Name="Verdana" Width="50%"
      HorizontalAlign="Center" ItemStyle-Font-Size="9">
      
   <HeaderStyle BackColor="Navy" ForeColor="White"
        HorizontalAlign="Center" Font-Bold="True" />
   
   <AlternatingItemStyle BackColor="#dddddd" />
   
   <Columns>
     <asp:BoundColumn DataField="title" HeaderText="Title"
                      ItemStyle-Width="70%" />

     <asp:TemplateColumn HeaderText="Revenues"
          ItemStyle-HorizontalAlign="Right"
          ItemStyle-Wrap="False">
       <ItemTemplate>
           <b><%# CalcRevenues(DataBinder.Eval(Container.DataItem, "ytd_sales"), DataBinder.Eval(Container.DataItem, "price")) %></b>
       </ItemTemplate>
     </asp:TemplateColumn>
   </Columns>
</asp:datagrid>
