<%@ Page Language="vb" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    Sub Page_Load(sender as Object, e as EventArgs)
      If Not Page.IsPostBack then
        BindData()
      End If
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM titles"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dgTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
    Sub SetHyperLinkColumnProps(sender as Object, e as DataGridItemEventArgs)
      If e.Item.ItemType <> ListItemType.Header and _
             e.Item.ItemType <> ListItemType.Footer then
        Dim hl as HyperLink = e.Item.Cells(0).Controls(0)
        hl.Text = "Details for " & DataBinder.Eval(e.Item.DataItem, "title")
    
        Dim navUrl as String
        navUrl = "details.aspx?id=" & _
                 Server.UrlEncode(DataBinder.Eval(e.Item.DataItem, "title_id")) & _
                 "&title=" & _
                 Server.UrlEncode(DataBinder.Eval(e.Item.DataItem, "title"))
        hl.NavigateUrl = navUrl
      End If
    End Sub

</script>
<asp:datagrid id="dgTitles" runat="server"
      AutoGenerateColumns="False"
      Font-Name="Verdana" Width="50%"
      HorizontalAlign="Center" ItemStyle-Font-Size="9pt"
      OnItemDataBound="SetHyperLinkColumnProps">
      
   <HeaderStyle BackColor="Navy" ForeColor="White"
        HorizontalAlign="Center" Font-Bold="True" />
   
   <AlternatingItemStyle BackColor="#dddddd" />
   
   <Columns>
     <asp:HyperLinkColumn  />
     <asp:BoundColumn DataField="title" HeaderText="Title"
                      ItemStyle-Width="70%" />
   </Columns>
</asp:datagrid>
