<%@ Page %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server">

    Sub Page_Load(sender as Object, e as EventArgs)
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM authors"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      '3. Create the DataAdapter
      Dim objDA as New SqlDataAdapter()
      objDA.SelectCommand = objCmd
    
      '4. Populate the DataSet and close the connection
      Dim objDS as New DataSet()
      objDA.Fill(objDS)
      objConn.Close()
    
      'Finally, specify the DataSource and call DataBind()
      rptAuthors.DataSource = objDS
      rptAuthors.DataBind()
    End Sub

</script>
<asp:repeater id="rptAuthors" runat="server">
  <HeaderTemplate>
    <table id="dlAuthors" cellspacing="0" border="0" style="border-collapse:collapse;">
  </HeaderTemplate>
  
  <ItemTemplate>
    <tr>
      <td>
        <b><%# DataBinder.Eval(Container.DataItem, "au_lname") %>,
        <%# DataBinder.Eval(Container.DataItem, "au_fname") %></b>
      </td>
    </tr>
  </ItemTemplate>
  
  <FooterTemplate>
    </table>
  </FooterTemplate>
</asp:repeater>