<%@ Page Language="vb" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="VB">

    Sub Page_Load(sender as Object, e as EventArgs)
      If Not Page.IsPostBack then
        BindData()
      End If
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
       Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
       Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Const strSQL as String = "SELECT * FROM titles"
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      objConn.Open()   'Open the connection
    
      'Finally, specify the DataSource and call DataBind()
      dlTitles.DataSource = objCmd.ExecuteReader(CommandBehavior.CloseConnection)
      dlTitles.DataBind()
    
      objConn.Close()   'Close the connection
    End Sub
    
    
    
    Sub dlTitles_ItemCommand(sender as Object, e as DataListCommandEventArgs)
      If e.CommandName = "Details" then
        ' The Details button has been clicked.
      End If
    End Sub

</script>
<form runat="server">
  <asp:DataList runat="server" id="dlTitles"
       OnItemCommand="dlTitles_ItemCommand">
    <ItemTemplate>
      <b>Title:</b> <%# DataBinder.Eval(Container.DataItem, "title") %>
      <br />
      [<asp:LinkButton runat="server" id="btnDetails" 
           Text="View Book Details" CommandName="Details" />]
    </ItemTemplate>
    
    <SeparatorTemplate>
      <hr>
    </SeparatorTemplate>
  </asp:DataList>
</form>
