<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<script runat="server" language="VB">

    Sub Page_Load(sender as Object, e as EventArgs)
      If Not Page.IsPostBack then
        BindData()
      End If
    End Sub
    
    
    Sub BindData()
      '1. Create a connection
      Const strConnString as String = "server=localhost;uid=sa;pwd=;database=pubs"
      Dim objConn as New SqlConnection(strConnString)
    
      '2. Create a command object for the query
      Dim strSQL as String
      strSQL = "SELECT title, price, pubdate " & _
              "FROM titles "
    
      Dim objCmd as New SqlCommand(strSQL, objConn)
    
      '3. Create a DataAdapter and Fill the DataSet
      Dim objDA as New SqlDataAdapter()
      objDA.SelectCommand = objCmd
    
      objConn.Open()
      
      Dim objDS as DataSet = New DataSet()
      objDA.Fill(objDS, "titles")
    
      objConn.Close()

      'Finally, specify the DataSource and call DataBind()
      dgTitles.DataSource = objDS
      dgTitles.DataBind()
    
      objConn.Close()   'Close the connection      
    End Sub
    
    Sub dgTitles_Paging(sender As Object, e As DataGridPageChangedEventArgs)
      dgTitles.CurrentPageIndex = e.NewPageIndex
      BindData()
    End Sub
</script>

<form runat="server">
  <asp:DataGrid runat="server" id="dgTitles"
      Font-Name="Verdana" Font-Size="9pt" CellPadding="5"
      AlternatingItemStyle-BackColor="#dddddd"
      AutoGenerateColumns="True"
      PageSize="5" AllowPaging="True"
      OnPageIndexChanged="dgTitles_Paging">

    <HeaderStyle BackColor="Navy" ForeColor="White" Font-Size="13pt"
              Font-Bold="True" HorizontalAlign="Center" />              
  </asp:DataGrid>
</form>
